"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.AppUsageSession = void 0;
const domain_objects_1 = require("domain-objects");
const AppUsageApplication_1 = require("./AppUsageApplication");
const AppUsageBrowser_1 = require("./AppUsageBrowser");
const AppUsageDevice_1 = require("./AppUsageDevice");
const AppUsageNetwork_1 = require("./AppUsageNetwork");
class AppUsageSession extends domain_objects_1.DomainEntity {
}
exports.AppUsageSession = AppUsageSession;
AppUsageSession.nested = {
    application: AppUsageApplication_1.AppUsageApplication,
    device: AppUsageDevice_1.AppUsageDevice,
    network: AppUsageNetwork_1.AppUsageNetwork,
    browser: AppUsageBrowser_1.AppUsageBrowser,
};
//# sourceMappingURL=AppUsageSession.js.map