import { HasMetadata } from 'type-fns';
import { AsyncTaskEmitToRemote } from '../../../domain/AsyncTaskEmitToRemote';
export declare const asyncTaskEmitToRemoteQueue: import("simple-in-memory-queue").Queue<AsyncTaskEmitToRemote>;
export declare const queueTaskEmitToRemote: (args: {
    dbConnection?: undefined;
} & Pick<AsyncTaskEmitToRemote, "endpoint" | "payload"> & {
    dbConnection?: undefined;
}) => Promise<HasMetadata<AsyncTaskEmitToRemote, "uuid" | "updatedAt" | "id" | "createdAt" | "effectiveAt">>;
