"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.base64EncodeCompressedPayload = void 0;
/**
 * base64 encodes a compressed payload
 *
 * usecases
 * - stringifies the binary compressed data for storage
 *
 * ref
 * - https://stackoverflow.com/a/55311625/3068233
 */
const base64EncodeCompressedPayload = (payload) => Buffer.from(payload).toString('base64');
exports.base64EncodeCompressedPayload = base64EncodeCompressedPayload;
//# sourceMappingURL=base64EncodeCompressedPayload.js.map