"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.serializeAndCompressPayload = void 0;
const pako_1 = __importDefault(require("pako"));
/**
 * serializes and subsequently compresses app usage events for storage and transmitting
 *
 * note
 * - serializes w/ JSON.stringify
 * - compresses with pako implementation of zlib
 */
const serializeAndCompressPayload = (payload) => pako_1.default.deflate(JSON.stringify(payload));
exports.serializeAndCompressPayload = serializeAndCompressPayload;
//# sourceMappingURL=serializeAndCompressPayload.js.map