import { v4 as uuid } from 'uuid';
export declare const SESSION_LAST_USE_KEY = "app-usage-session-lastseenat";
/**
 * finds or creates the session for this app-usage-session
 *
 * note
 * - persists the session in localstorage, for lookup
 * - replaces the session if session specific data has changed
 * - wrapped with simple caching to prevent redundant calculations
 */
export declare const findOrCreateAppUsageSession: () => Promise<{
    uuid: string;
}>;
