/**
 * listen to and automatically capture screen events
 *
 * captures
 * - route change events
 * - visibility change events (e.g., app blur vs app focus)
 *
 * note
 * - "screens" is a more generic word for what is calls "pages" in a web environment
 * - "with simple caching" to prevent duplicate loading in page
 */
export declare const autocaptureScreenEvents: () => void;
