import { AppUsageEvent } from '../../domain/AppUsageEvent';
/**
 * define a standard first arg for console.logs emitted from our monitoring
 *
 * why?
 * - enables preventing infinite loop, since we also capture console.log events
 * - i.e., we can filter out the console.logs that have this prefix and not capture them
 */
export declare const APP_USAGE_EVENTS_EMISSION_LOG_FIRST_ARG = "AUE";
export declare const appUsageEventsEmissionQueue: import("simple-in-memory-queue").Queue<AppUsageEvent>;
