import { AsyncTaskDao } from 'simple-async-tasks';
import { HasMetadata } from 'type-fns';
import { AsyncTaskEmitToRemote } from '../../../domain/AsyncTaskEmitToRemote';
type AsyncTaskEmitToRemoteDao = AsyncTaskDao<AsyncTaskEmitToRemote, Pick<AsyncTaskEmitToRemote, 'endpoint' | 'payload'>, undefined> & {
    findAllByStatus: (byStatus: {
        status: string[];
    }) => Promise<HasMetadata<AsyncTaskEmitToRemote>[]>;
};
export declare const daoTaskEmitToRemote: AsyncTaskEmitToRemoteDao;
export {};
